#include<iostream>
#include<vector>
#include<fstream>

using namespace std;

long long  *arr;
long long n,k;

int max_len=0;

void f(int start,int len)
{
	if (len>max_len) max_len=len;
	
	for (int i=1; i<k+1; i++)
	{
		if(start+i>n) return;

		if ((arr[start-1]<arr[start+i-1]||start==0))
		{
	
			f (start+i,len+i);
		}
	}
}

int main()
{
	ifstream in("LADDER.IN");

	int t;
	in>>t;
	while(t--)
	{
		
		in>>n>>k;
	
		arr=new long long [n+1];
		for (int j=0;  j<n; j++)
			in>>arr[j];

		f(0,0);
		

		cout<<max_len<<endl;
		max_len=0;
			
	}

	return 0;
}